Page MenuHomePhabricator

Create an e-mail that will go out to board members
Closed, ResolvedPublic

Description

Requesting information about biographies for the board members.

Event Timeline

Jopparn renamed this task from Create an e-mail that will go out to board memebers to Create an e-mail that will go out to board members .Jun 3 2020, 6:13 PM

E-mail sent out - waiting for responses.
Deadline 20200622

Jopparn updated the task description. (Show Details)Jun 22 2020, 1:53 PM

Send out reminders to those who have not yet sent in their profiles or updated their wiki pages themselves

Jopparn closed this task as Resolved.Jun 29 2020, 1:37 PM
Jopparn claimed this task.